# Namespace: control

## ol.control

### Classes

Attribution
Control
FullScreen
Logo
MousePosition
Rotate
ScaleLine
Zoom
ZoomSlider
ZoomToExtent

### Methods

#### staticol.control.defaults(opt_options){ol.Collection} experimental

src/ol/control/controldefaults.js, line 24

  Name | Type | Description
  --- | --- | ---
  `options` | optional Defaults options.
  Name | Type | Description
  --- | --- | ---
  `attribution` | boolean | undefined | optional Attribution. Default is `true`.
  `attributionOptions` | olx.control.AttributionOptions | undefined | optional Attribution options.
  `logo` | boolean | undefined | optional Logo. Default is `true`.
  `logoOptions` | olx.control.LogoOptions | undefined | optional Logo options.
  `zoom` | boolean | undefined | optional Zoom. Default is `true`.
  `rotateOptions` | olx.control.RotateOptions | undefined | optional Rotate options.
  `zoomOptions` | olx.control.ZoomOptions | undefined | optional Zoom options.

  ##### Returns:

  Controls.

### Type Definitions

#### ol.control.ScaleLineUnits{string} experimental

  Units for the scale line. Supported values are `'degrees'`, `'imperial'`, `'nautical'`, `'metric'`, `'us'`.